with GNATCOM.Dispinterface;

package MSHTML.DispHTCPropertyBehavior_Object is

   type DispHTCPropertyBehavior_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure fireChange
     (This : DispHTCPropertyBehavior_Type);

   procedure Put_value
     (This : DispHTCPropertyBehavior_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_value
     (This : DispHTCPropertyBehavior_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispHTCPropertyBehavior_Object;

